Loading...
Searching...
No Matches
DataProvider::DataProviderArgInfo Struct Reference

Data provider expression arg info. More...

`#include <AbstractDataProvider.qc.dox.h>`

## Public Attributes

*softlist< hash< Util::AllowedValueInfo > > | allowed_values
| List of allowed values (enum)
*bool | allowed_values_creatable
| Does the option accept values not defined in allowed_values too?
auto | default_value
| Any default value.
string | desc
| The argument description.
string | display_name
| Argument display name.
*softlist< hash< Util::AllowedValueInfo > > | element_allowed_values
| List of allowed values for elements of list types (enum)
bool | element_allowed_values_creatable
| Does the option accept values for elements not defined in element_allowed_values too?
auto | example_value
| Any optional example value for the argument.
bool | multiselect
| Are allowed values elements of the list's element type that indicate what values the list can have?
bool | sensitive = False
| Is the argument value sensitive?
*string | short_desc
| Argument short description in plain text.

## Detailed Description

Data provider expression arg info.

## Member Data Documentation

## example_value

auto DataProvider::DataProviderArgInfo::example_value

Any optional example value for the argument.

The value must be acceptable by the argument's type